Geometry checker crashes when checking a specific vector layer (attached)

2017-07-20 06:24 PM - Antonio Viscomi

Status: Closed

Priority: High

Assignee: Sandro Mani

Category: C++ plugins/Geometry Checker

Affected QGIS version:2.18.11 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 24797

Description

hello,

I tried to Use Geometry Checker in a polygon shapefile,

I must check for:    -duplicates;

                     -small overlaps (smaller than 100 sqr. m);

                     -small gaps (smaller than 1000 sqr. m).

I set create a new layer (with name an path)

 then QGIS crashes or freezes. 

I try to re-run QGIS, 

I reset all option cited above and QGIS crashes yet.

So I think there is a bug that causes crash.

I attach a screenshot and the file I tried to validate

best regards

Antonio

History

#1 - 2017-07-20 06:30 PM - Giovanni Manghi

- Subject changed from Geometry checker to Geometry checker crashes when checking a specific vector layer (attached)

- Category changed from Geometry to C++ plugins/Geometry Checker

- Assignee set to Sandro Mani

- Regression? changed from No to Yes

Instant crash also on Linux.

#2 - 2017-07-20 06:33 PM - Giovanni Manghi

No crash on 2.14.16 but also not sure it works as expected, in fact the "fixed" layer is added to the canvas but the result tab is not opened and stay

disabled.

#3 - 2017-07-21 07:57 AM - Antonio Viscomi

Sorry, 

I forget to select OS, 
I use windows 7 Ultimate x64

Regards

#4 - 2017-07-25 07:44 PM - Giovanni Manghi

- Affected QGIS version changed from 2.18.10 to 2.18.11

#5 - 2017-07-26 03:14 PM - Antonio Viscomi

Also on QGIS 2.99 a48c146 Geometry Checker has a bug:

-I try to check geometry of the same shapefile with the same settings quoted above;

-the check come out fine;

-then I tried to automatically fix errors;

-the progress bar reaches 100%;

-QGIS crashes both in 'Modify input layer' and 'Create a new layer' mode 

Best Regards

#6 - 2017-08-04 01:58 PM - Antonio Viscomi

- File Bug screenshot.png added

- File bug_record.txt added

Today I've updated QGIS MASTER to build 3c58599,

I tried to check geometry of the same file attached above, with the same settings then, 

after checking, I flagged Geometry and the plugin crashed instantly and comes out with the attacched report

#7 - 2017-08-04 02:52 PM - Sandro Mani

The geometry checker is pretty broken in master, I'm working to fix it and improve it with multi-layer support, but the work is not yet ready to be merged.

#8 - 2017-08-04 06:03 PM - Antonio Viscomi

Sandro Mani wrote:

The geometry checker is pretty broken in master, I'm working to fix it and improve it with multi-layer support, but the work is not yet ready to be

merged.

Ok, 

many thanks for this information

Good job then

#9 - 2017-10-19 10:33 PM - Sandro Mani

I've finally got to submitting the PR for the new enhanced geometry checker (https://github.com/qgis/QGIS/pull/5410) for QGIS 3.0+. Testing feedback is

very welcome.
#10 - 2017-10-20 09:45 AM - Giovanni Manghi

- Status changed from Open to Feedback

Please test again after the patch has been merged in master.

#11 - 2017-10-20 10:25 AM - Antonio Viscomi

Giovanni Manghi wrote:

Please test again after the patch has been merged in master.

Hi everybody,

when this patch will be available in the master? 

I've today update it to df0d717f92 and the patch is not available

greetings

#12 - 2017-10-20 10:26 AM - Giovanni Manghi

Antonio Viscomi wrote:

Giovanni Manghi wrote:

Please test again after the patch has been merged in master.

Hi everybody,

when this patch will be available in the master? 

I've today update it to df0d717f92 and the patch is not available

greetings

after you will see "merged" here https://github.com/qgis/QGIS/pull/5410

#13 - 2017-10-20 10:39 AM - Antonio Viscomi

Giovanni Manghi wrote:

Antonio Viscomi wrote:

Giovanni Manghi wrote:

Please test again after the patch has been merged in master.

Hi everybody,

when this patch will be available in the master? 

I've today update it to df0d717f92 and the patch is not available

greetings
ok thanks

after you will see "merged" here https://github.com/qgis/QGIS/pull/5410

#14 - 2017-10-23 11:33 PM - Sandro Mani

The PR is now merged to master.

#15 - 2017-10-24 04:12 PM - Harrissou Santanna

The patch is against master. Will the fix be backported?

#16 - 2017-10-24 04:14 PM - Sandro Mani

The PR is much more than a fix, it's a major rework of the plugin, and as such no, it won't be backported.

#17 - 2017-10-24 04:59 PM - Antonio Viscomi

Sandro Mani wrote:

The PR is now merged to master.

I did a quick test on the plugin in the master 

and it work perfectly for the file I attached to the beginning of the topic.

many thanks for the excellent work Sandro Mani

#18 - 2017-10-24 07:22 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

Files

Crash.png 353 KB 2017-07-20 Antonio Viscomi

Geologica.zip 147 KB 2017-07-20 Antonio Viscomi

bug_record.txt 2.75 KB 2017-08-04 Antonio Viscomi

Bug screenshot.png 277 KB 2017-08-04 Antonio Viscomi

2025-04-27 4/4

https://github.com/qgis/QGIS/pull/5410

